#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
OS="debian"
if [ -d /etc/yum ] 
then
    OS="centos"
fi
echo System: $OS

launcher="/bin/bash"
if [ ! -f /bin/bash ]
then
  launcher="/bin/sh"
fi

launcherphp="/bin/php"
if [ -f /usr/bin/php ]
then
  launcherphp="/usr/bin/php"
fi

cat > /etc/cron.d/radmin <<EOF
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/bin:/sbin:/root/bin
#0 2 * * * root systemctl restart radmin
*/1 * * * * root $launcherphp $INSTALLDIR/sendstats.php > /dev/null
*/5 * * * * root $launcher $INSTALLDIR/checkradmin.sh > /dev/null
EOF

if [ $OS = "centos" ]
then
  systemctl restart crond
else
  systemctl restart cron
fi